Skip to main content
POST
Create a CAPTCHA attack protection policy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The CAPTCHA attack protection policy to create.

Request body for creating a CAPTCHA attack protection policy.

name
string
required

Human-readable policy name.

Required string length: 1 - 255
priority
integer
required

Conflict resolution order. Lower number takes higher precedence. Must be unique per tenant.

Required range: x >= 1
match
object
required

Traffic matching criteria for the policy. Exactly one of auth0_managed or geo_country_codes must be specified.

action
object
required

CAPTCHA configuration override for this policy.

description
string

Description of the attack protection policy.

Response

The CAPTCHA attack protection policy was successfully created.

An attack protection policy override for CAPTCHA.

id
string
required

System-generated identifier for the policy.

name
string
required

Human-readable policy name.

Required string length: 1 - 255
priority
integer
required

Conflict resolution order. Lower number takes higher precedence.

Required range: x >= 1
match
object
required

Traffic matching criteria for the policy. Exactly one of auth0_managed or geo_country_codes must be specified.

action
object
required

CAPTCHA configuration override stored for this policy.

created_at
string<date-time>
required

ISO 8601 timestamp when the policy was created.

updated_at
string<date-time>
required

ISO 8601 timestamp when the policy was last updated.

description
string

Description of the policy's purpose.